From: Ondrej Jirman <megi@xff.cz>
Date: Mon, 22 Aug 2022 15:09:56 +0200
Subject: drm: rockchip: Fix mem leak

Previous patch forgot to free dev node.

Signed-off-by: Ondrej Jirman <megi@xff.cz>
---
 drivers/gpu/drm/rockchip/rockchip_drm_drv.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/drivers/gpu/drm/rockchip/rockchip_drm_drv.c b/drivers/gpu/drm/rockchip/rockchip_drm_drv.c
index bb033e8..96389c5 100644
--- a/drivers/gpu/drm/rockchip/rockchip_drm_drv.c
+++ b/drivers/gpu/drm/rockchip/rockchip_drm_drv.c
@@ -378,9 +378,10 @@ static bool rockchip_drm_is_mipi1_and_used_by_isp(struct device *dev)
 		}
 
 		phy_np = of_parse_phandle(np, "phys", 0);
-
-		if (!phy_np)
+		if (!phy_np) {
+			of_node_put(np);
 			continue;
+		}
 
 		of_node_put(phy_np);
 		of_node_put(np);
